KnowledgeBase
List documents in a knowledge base
Authorization
SupabaseBearer AuthorizationBearer <token>
Supabase user access token (Authorization: Bearer JWT)
In: header
Path Parameters
kbId*string
Format
uuidQuery Parameters
page?integer
Range
1 <= valuepageSize?integer
Range
1 <= value <= 100sort?string
Value in
- "createdAt"
- "updatedAt"
- "title"
order?string
Value in
- "asc"
- "desc"
q?string
status?string
Header Parameters
x-organization-id*string
Must match the organizationId path segment
Format
uuidx-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/knowledge-base/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-organization-role: ORG_ADMIN"{ "items": [ {} ], "page": 0, "pageSize": 0, "total": 0}Empty
{ "message": "string"}{ "message": "string"}